<?php

/**
 * Created by PhpStorm.
 * Date: 2017/3/31
 * Time: 14:02
 */
namespace General\Controllers\CompanyAuth\Transformers;

use General\Helpers\CommonHelper;

class ChannelTransformer
{
    public function transform($item)
    {
        return [
            'id' => $item->id,
            'name' => $item->nickname,
            'domain' => 'https://site'.CommonHelper::encodeDistributionChannelId($item->id).'.'.env('PROMOTION_DOMAIN'),
            'created_at' => date('Y-m-d H:i:s', strtotime($item->created_at)),
            'is_enabled' => $item->is_enabled
        ];
    }
}
