<?php

/**
 * Created by PhpStorm.
 * Date: 2017/3/31
 * Time: 14:02
 */

namespace General\Controllers\CompanyAuth\Transformers;

class UserTransformer
{
    public function transform($item)
    {
        $sex = ['0'=>'无性别', '1'=>'男', '2'=>'女'];
        return [
            'id' => $item->id,
            'channel_id' => $item->distribution_channel_id,
            'register_openid' => $item->openid,
            'register_ip' => $item->register_ip,
            'register_time' =>  (string)$item->created_at,
            'ua' => $item->user_env ? $item->user_env->ua : '',
            'app_id' => $item->appid ?? '',
            'opend_id' => $item->openid ?? '',
            'ewechat_external_user_id' => $item->external_user_id ?? '',
            'ewechat_open_external_user_id' => $item->open_external_user_id ?? '',
            'ewechat_agent_id' => $item->agent_id ?? '0',
            'ewechat_unionid' => $item->unionid ?? '',
            'is_subscribed' => $item->is_subscribed ?? '0',
            'subscribe_time' => $item->subscribe_time ?? '',
            'nickname' => $item->nickname ? (string)$item->nickname : '',
            'balance' => $item->balance ? (string)$item->balance : '',
            'sex' => isset($sex[$item->sex]) ? $sex[$item->sex] : ''
        ];
    }
}
