<?php

/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/12/4
 * Time: 下午1:43
 */

namespace General\Services\Channel;

use General\Models\Channel\Channel;
use Illuminate\Support\Facades\DB;

class ChannelService
{
    public function getChannelsByChannelUserIds(array $channel_user_ids, $is_enabled, $phone)
    {
        $where = [];
        if ($is_enabled || $is_enabled !== '') {
            $where['is_enabled'] = $is_enabled;
        }

        \Log::info('channel_user_ids: '.json_encode($channel_user_ids, 256));
        if ($phone || $phone !== '') {
            $channel_user_id = DB::connection('mysql')->table('channel_users')->where(['phone'=>$phone])->pluck('id')->all();
            \Log::info('channel_user_id: '.json_encode($channel_user_id, 256));
            if ($channel_user_id) {
                $channel_user_ids = $channel_user_id;
            }
        }

        if ($where) {
            return Channel::whereIn('channel_user_id', $channel_user_ids)->where($where)->where('is_qapp',0)->get();
        }
        return Channel::whereIn('channel_user_id', $channel_user_ids)->where('is_qapp',0)->get();
    }
}
